#!/usr/bin/perl -w
# Copyright (c) 2009 Stumpf Mathieu. All rights reserved.
# This program is free software; you may redistribute and/or modify 
# it under the same terms as Perl itself.

# Récupère les commentaires linuxfr d'un utilisateur
# et génère une page web les contenant tous séparés par une barre horrizontale
use strict;
use WWW::Mechanize;
use HTML::TreeBuilder;

# extrait les commentaires d'une page 
# et les imprime en format html sur la sortie standard
sub extract_comments {
    my $page = shift;
    my $tree = HTML::TreeBuilder->new_from_content( $page );
    print 
        $_->as_HTML,
        "</p>\n<hr />",
        for $tree->look_down( _tag => 'p', class => qr/commentsbody/ );
}

my $pseudo = $ARGV[0];

my $m = WWW::Mechanize->new;

my $page_count = 1;
$m->get("http://linuxfr.org/~$pseudo/comments,$page_count.html");

print "<html>\n<body>\n";
# Tant qu'on récupère une page valide, on procède à l'extraction
while($m->success){
    extract_comments( $m->content() );
    $m->get("http://linuxfr.org/~$pseudo/comments,$page_count.html");
    $page_count++;
}
print "\n</body>\n</html>";

__END__

=head1 NOM

glc : Get Linuxfr Comments

=head1 VERSION

Version 0.01

=head1 SYNOPSIS

glc username

=head1 DESCRIPTION

Récupère tous les commentaires d'un utilisateur linuxfr dont le pseudonyme est
passé en paramètre et affiche une page html contenant l'ensemble de ces
commentaires sur la sortie standard.

=head1 BOGUES ET LIMITATIONS

Le script renvoi un code d'erreur quand il a fini de parcourir tous les
commentaires d'un utilisateur, même si l'utilisateur est valide et que
l'opération c'est bien déroulé.
